; These options are set automatically - to configure your kernel
; edit a .cfg file

%macro CFGSYS_UNSUPPORTED 1
	cmp edi,%1
	jnz __cfgsys_unsupp_not%1
	mov eax,-1
	mov [esp+26],eax
	ret
	__cfgsys_unsupp_not%1:
%endmacro

; these are to get round nasm's poor preprocessor conditionals

%undef CFGSYS_NO_LINUX_EMULATION
%ifndef CFG_LINUX_EMULATION
%define CFGSYS_NO_LINUX_EMULATION
%endif

%undef CFGSYS_VIDEO_VESA_12AND20
%ifdef CFG_VIDEO_VESA12
%ifdef CFG_VIDEO_VESA20
%define CFGSYS_VIDEO_VESA_12AND20
%endif
%endif

; CFGSYS_VIDMODE_SOME_UNSUPPORTED gets defined if one of the Vesa modes is
; unsupported

%define CFGSYS_VIDMODE_SOME_UNSUPPORTED 
%ifdef CFG_VIDMODE_VESA20_640x480x24
%ifdef CFG_VIDMODE_VESA20_800x600x24
%ifdef CFG_VIDMODE_VESA20_1024x768x24
%ifdef CFG_VIDMODE_VESA20_1280x1024x24
%ifdef CFG_VIDMODE_VESA12_640x480x24
%ifdef CFG_VIDMODE_VESA12_800x600x24
%ifdef CFG_VIDMODE_VESA12_1024x768x24
%ifdef CFG_VIDMODE_VESA12_1280x1024x24
%undef CFGSYS_VIDMODE_SOME_UNSUPPORTED 
%endif
%endif
%endif
%endif
%endif
%endif
%endif
%endif

; Building as binary

ORG 0x10000

%macro resd 1
	times %1 dd 0
%endmacro

%macro resw 1
	times %1 dw 0
%endmacro

%macro resb 1
	times %1 db 0
%endmacro

%define START .text
